loci.formats.in

## Class PrairieMetadata.ValueItem

- java.lang.Object
- - loci.formats.in.PrairieMetadata.ValueItem

- All Implemented Interfaces:
    PrairieMetadata.Value
  Enclosing class:
    PrairieMetadata

      public static class PrairieMetadata.ValueItem
      extends java.lang.Object
      implements PrairieMetadata.Value

  A leaf value with an actual `value()` as well as an optional `description()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `description`
    `private java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueItem(java.lang.String value, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()`
    `PrairieMetadata.Value` | `get(int index)`
    `PrairieMetadata.Value` | `get(java.lang.Object key)`
    `boolean` | `isTable()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          private java.lang.String value

    - #### description

          private java.lang.String description

  - ### Constructor Detail

    - #### ValueItem

          public ValueItem(java.lang.String value,
                           java.lang.String description)

  - ### Method Detail

    - #### isTable

          public boolean isTable()

      Specified by:
        `isTable` in interface `PrairieMetadata.Value`

    - #### get

          public PrairieMetadata.Value get(java.lang.Object key)

      Specified by:
        `get` in interface `PrairieMetadata.Value`

    - #### get

          public PrairieMetadata.Value get(int index)

      Specified by:
        `get` in interface `PrairieMetadata.Value`

    - #### value

          public java.lang.String value()

      Specified by:
        `value` in interface `PrairieMetadata.Value`

    - #### description

          public java.lang.String description()

      Specified by:
        `description` in interface `PrairieMetadata.Value`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment